## pigx-rnaseq 0.0.10%2Bds

=== debian/changelog ===
pigx-rnaseq (0.0.10+ds-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Oct 2020 15:42:32 +0200

pigx-rnaseq (0.0.10+ds-1) unstable; urgency=medium

  * Initial release (Closes: #934041)

 -- Steffen Moeller <moeller@debian.org>  Mon, 05 Aug 2019 14:48:15 +0200

## pigx-rnaseq 0.0.10+ds

=== requirements.txt ===
# This file may be used to create an environment using:
# $ conda create --name pigx_rnaseq --file <this file> 
## make sure to have the following conda channels in ~/.condarc file
#channels:
#  - anaconda-fusion
#  - defaults
#  - bioconda
#  - r
#  - pypi
#  - conda-forge

snakemake=4.0.0
fastqc=0.11.5
multiqc=0.9 
star=2.5.1b
trim-galore=0.4.3
htseq=0.9.1
samtools=1.3
deeptools=2.5.3
python=3.5.4

#additional requirements for R libraries:
#r-essentials
r-data.table
r-rlang
r-rmarkdown
r-ggplot2
r-ggrepel
bioconductor-deseq2
r-dt
r-pheatmap
r-corrplot
r-reshape2
r-plotly
r-scales
r-crosstalk
r-gprofiler
bioconductor-summarizedexperiment
bioconductor-rtracklayer

=== debian/control ===
Source: pigx-rnaseq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pandoc-citeproc,
               python3-all,
               python3-deeptools,
               multiqc,
               python3-htseq,
               r-cran-locfit <!nocheck>,
               r-bioc-deseq2 <!nocheck>,
               r-bioc-tximport <!nocheck>,
               r-cran-data.table <!nocheck>,
               r-cran-rlang <!nocheck>,
               r-cran-rmarkdown <!nocheck>,
               r-cran-ggplot2 <!nocheck>,
               r-cran-ggrepel <!nocheck>,
               r-cran-dt (>= 0.15+dfsg-2) <!nocheck>,
               r-cran-pheatmap <!nocheck>,
               r-cran-corrplot <!nocheck>,
               r-cran-reshape2 <!nocheck>,
               r-cran-plotly <!nocheck>,
               r-cran-scales <!nocheck>,
               r-cran-crosstalk <!nocheck>,
               r-cran-gprofiler <!nocheck>,
               r-bioc-summarizedexperiment <!nocheck>,
               r-bioc-rtracklayer <!nocheck>,
               r-cran-rjson <!nocheck>,
               trim-galore <!nocheck>,
               snakemake <!nocheck>,
               fastqc <!nocheck>,
               samtools <!nocheck>,
               rna-star <!nocheck>,
               salmon <!nocheck>,
               libjs-jquery-datatables <!nocheck>,
               libjs-jquery-tablesorter <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/pigx-rnaseq
Vcs-Git: https://salsa.debian.org/med-team/pigx-rnaseq.git
Homepage: https://github.com/BIMSBbioinfo/pigx_rnaseq
Rules-Requires-Root: no

Package: pigx-rnaseq
Architecture: all
Depends: ${misc:Depends},
         python3:any,
         pandoc-citeproc,
         snakemake,
         fastqc,
         samtools,
         python3-deeptools,
         salmon,
         rna-star,
         trim-galore,
         multiqc,
         python3-htseq,
         r-bioc-deseq2,
         r-bioc-tximport,
         r-cran-data.table,
         r-cran-rlang,
         r-cran-rmarkdown,
         r-cran-ggplot2,
         r-cran-ggrepel,
         r-cran-dt (>= 0.15+dfsg-2),
         r-cran-pheatmap,
         r-cran-corrplot,
         r-cran-reshape2,
         r-cran-plotly,
         r-cran-scales,
         r-cran-crosstalk,
         r-cran-gprofiler,
         r-bioc-summarizedexperiment,
         r-bioc-rtracklayer,
         r-cran-rjson,
         libjs-jquery-datatables,
         libjs-jquery-tablesorter
Description: pipeline for checkpointed and distributed RNA-seq analyses
 This package provides a automated workflow for the automated analysis of
 RNA-seq experiments. A series of well-accecpted tools are connected in
 Python scripts and controlled via snakemake. This supports the parallel
 execution of these workflows and provides checkpointing, such that
 interrupted workflows can take up their work again.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export SALMON=/usr/bin/salmon
export STAR=/usr/bin/STAR
export FASTQC=/usr/bin/fastqc
export TRIMGALORE=/usr/bin/trim_galore
export GNUBASH=/bin/bash


%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f config.log test.sh
	rm -rf tests/output
	rm -f Makefile.in aclocal.m4 build-aux/install-sh build-aux/missing build-aux/test-driver
	rm -f scripts/jquery.min.js
	rm -f conftest.tar confdefs.h

override_dh_auto_install:
	dh_auto_install
	find debian/pigx-rnaseq/usr/libexec/pigx_rnaseq -name "*.R"|xargs -r chmod -x
	find debian/pigx-rnaseq/usr/libexec/pigx_rnaseq -name "*.Rmd"|xargs -r chmod -x
	find debian/pigx-rnaseq/usr/libexec/pigx_rnaseq -name "*.py"|xargs -r chmod -x

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ln -sf /usr/share/javascript/jquery/jquery.min.js scripts/
	#$(MAKE) -j2 check VERBOSE=1
	./test.sh
endif

=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds,compression=xz,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pigx-rnaseq-$1.tar.gz%" \
   https://github.com//BIMSBbioinfo/pigx_rnaseq/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## pigx-rnaseq 0.0.19

=== requirements.txt ===
--- 
+++ 
@@ -9,15 +9,14 @@
 #  - pypi
 #  - conda-forge
 
-snakemake=4.0.0
-fastqc=0.11.5
-multiqc=0.9 
+snakemake
+multiqc 
 star=2.5.1b
-trim-galore=0.4.3
-htseq=0.9.1
 samtools=1.3
-deeptools=2.5.3
-python=3.5.4
+deeptools
+python
+fastp
+hisat2
 
 #additional requirements for R libraries:
 #r-essentials
@@ -34,6 +33,8 @@
 r-plotly
 r-scales
 r-crosstalk
-r-gprofiler
+r-gprofiler2
+r-ggpubr
 bioconductor-summarizedexperiment
 bioconductor-rtracklayer
+bioconductor-tximport

=== debian/changelog ===
pigx-rnaseq (0.0.19-2) unstable; urgency=medium

  * Team Upload.
  [ Steffen Moeller ]
  * d/contro pigx-rnaseq binary: Added dependency on r-cran-ggpubr
  * recommending both rna-star and hisat2

  [ Nilesh Patra ]
  * d/rules: Export HOME to /tmp to fix FTBFS (Closes: #997320)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 24 Oct 2021 02:04:47 +0530

pigx-rnaseq (0.0.19-1) unstable; urgency=medium

  * Team Upload.
  [ Steffen Moeller ]
  * New upstream version 0.0.19
  * Bumped policy to 4.6.0
  * New dependencies
    - hisat2 - upstream changed default genomic aligner
    - fastp - fastq file processing
    - r-cran-gprofiler2
  * d/u/metadata: Added ref to SciCrunch RRID:SCR_016476
  * overriding dh_fixperms on permissions in /usr/libexec
  * Added ref to guix

  [ Nilesh Patra ]
  * Remove d/p/salmon_sa.bin2pos.bin.patch: Merged upstream
  * Pass gunzip and sed paths during configure
    so it builds reproducible on usrmerge system
    (Closes: #985144)
  * Add d/common: The pigx-rnaseq is a submodule needed by this package,
    But this has no code, and does not look worth it to package.
    Since its size is very less, it has been added in debian/ dir
    Changes have also been mentioned in d/copyright
  * Add B-D on r-cran-ggpubr and r-cran-gprofiler2

 -- Nilesh Patra <nilesh@debian.org>  Thu, 16 Sep 2021 02:16:16 +0530

=== debian/control ===
Source: pigx-rnaseq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               fastp,
               fastqc <!nocheck>,
               hisat2 <!nocheck>,
               libjs-jquery-datatables <!nocheck>,
               libjs-jquery-tablesorter <!nocheck>,
               multiqc,
               pandoc-citeproc,
               python3-all,
               python3-deeptools,
               python3-htseq,
               r-bioc-deseq2 <!nocheck>,
               r-bioc-rtracklayer <!nocheck>,
               r-bioc-summarizedexperiment <!nocheck>,
               r-bioc-tximport <!nocheck>,
               r-cran-corrplot <!nocheck>,
               r-cran-crosstalk <!nocheck>,
               r-cran-data.table <!nocheck>,
               r-cran-dt (>= 0.15+dfsg-2) <!nocheck>,
               r-cran-ggplot2 <!nocheck>,
               r-cran-ggrepel <!nocheck>,
               r-cran-gprofiler2 <!nocheck>,
               r-cran-ggpubr <!nocheck>,
               r-cran-locfit <!nocheck>,
               r-cran-pheatmap <!nocheck>,
               r-cran-plotly <!nocheck>,
               r-cran-reshape2 <!nocheck>,
               r-cran-rjson <!nocheck>,
               r-cran-rlang <!nocheck>,
               r-cran-rmarkdown <!nocheck>,
               r-cran-scales <!nocheck>,
               salmon <!nocheck>,
               samtools <!nocheck>,
               snakemake <!nocheck>,
               trim-galore <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/pigx-rnaseq
Vcs-Git: https://salsa.debian.org/med-team/pigx-rnaseq.git
Homepage: https://github.com/BIMSBbioinfo/pigx_rnaseq
Rules-Requires-Root: no

Package: pigx-rnaseq
Architecture: all
Depends: ${misc:Depends},
         fastp,
         fastqc,
         hisat2|rna-star,
         libjs-jquery-datatables,
         libjs-jquery-tablesorter,
         multiqc,
         pandoc-citeproc,
         python3:any,
         python3-deeptools,
         python3-htseq,
         r-bioc-deseq2,
         r-bioc-rtracklayer,
         r-bioc-summarizedexperiment,
         r-bioc-tximport,
         r-cran-corrplot,
         r-cran-crosstalk,
         r-cran-data.table,
         r-cran-dt (>= 0.15+dfsg-2),
         r-cran-ggplot2,
         r-cran-ggpubr,
         r-cran-ggrepel,
         r-cran-gprofiler2,
         r-cran-pheatmap,
         r-cran-plotly,
         r-cran-reshape2,
         r-cran-rjson,
         r-cran-rlang,
         r-cran-rmarkdown,
         r-cran-scales,
         salmon,
         samtools,
         snakemake,
         trim-galore
Recommends: hisat2, rna-star
Description: pipeline for checkpointed and distributed RNA-seq analyses
 This package provides a automated workflow for the automated analysis of
 RNA-seq experiments. A series of well-accecpted tools are connected in
 Python scripts and controlled via snakemake. This supports the parallel
 execution of these workflows and provides checkpointing, such that
 interrupted workflows can take up their work again.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export SALMON=/usr/bin/salmon
export STAR=/usr/bin/STAR
export FASTQC=/usr/bin/fastqc
export TRIMGALORE=/usr/bin/trim_galore
export GNUBASH=/bin/bash
export HOME=/tmp

%:
	dh $@

execute_before_dh_autoreconf:
	mkdir -p ${CURDIR}/pigx-common
	cp -a debian/common ${CURDIR}/pigx-common

override_dh_auto_configure:
	dh_auto_configure -- GUNZIP=/bin/gunzip SED=/bin/sed

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pigx-common
	rm -f config.log test.sh
	rm -rf tests/output
	rm -f Makefile.in aclocal.m4 build-aux/install-sh build-aux/missing build-aux/test-driver
	rm -f scripts/jquery.min.js
	rm -f conftest.tar confdefs.h

override_dh_auto_install:
	dh_auto_install

override_dh_fixperms:
	dh_fixperms
	find debian/pigx-rnaseq/usr/libexec/pigx_rnaseq -name "*.R" | xargs -r chmod -x
	find debian/pigx-rnaseq/usr/libexec/pigx_rnaseq -name "*.Rmd" | xargs -r chmod -x
	find debian/pigx-rnaseq/usr/libexec/pigx_rnaseq -name "*.py" | xargs -r chmod -x

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ln -sf /usr/share/javascript/jquery/jquery.min.js scripts/
	#$(MAKE) -j2 check VERBOSE=1
	./test.sh
endif

## pigx-rnaseq 0.1.0

=== debian/changelog ===
pigx-rnaseq (0.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop citeproc dependency (no longer required).

 -- Bastian Germann <bage@debian.org>  Tue, 13 Dec 2022 18:23:15 +0000

pigx-rnaseq (0.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Repository-Browse.
  * Add M4 files from pigx-common
  * (Build-)Depends: megadepth

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jul 2022 17:52:09 +0200

pigx-rnaseq (0.0.19+ds-1) unstable; urgency=medium

  * Team upload.
  * Drop broken autoconf m4 files from upstream source and use
    autoconf-archive instead
    Closes: #1008368
  * Drop files that are not included in upstream source from Files-Excluded
  * Drop transition for old debug package migration.

 -- Andreas Tille <tille@debian.org>  Mon, 28 Mar 2022 14:06:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               autoconf-archive,
                fastp,
                fastqc <!nocheck>,
                hisat2 <!nocheck>,
                libjs-jquery-datatables <!nocheck>,
                libjs-jquery-tablesorter <!nocheck>,
+               megadepth,
                multiqc,
-               pandoc-citeproc,
                python3-all,
                python3-deeptools,
                python3-htseq,
@@ -38,7 +39,7 @@
                samtools <!nocheck>,
                snakemake <!nocheck>,
                trim-galore <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/pigx-rnaseq
 Vcs-Git: https://salsa.debian.org/med-team/pigx-rnaseq.git
 Homepage: https://github.com/BIMSBbioinfo/pigx_rnaseq
@@ -52,8 +53,8 @@
          hisat2|rna-star,
          libjs-jquery-datatables,
          libjs-jquery-tablesorter,
+         megadepth,
          multiqc,
-         pandoc-citeproc,
          python3:any,
          python3-deeptools,
          python3-htseq,

## pigx-rnaseq 0.1.1

=== requirements.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
 star=2.5.1b
 samtools=1.3
 deeptools
+megadepth
 python
 fastp
 hisat2

=== debian/changelog ===
pigx-rnaseq (0.1.1-3) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from several BD. Closes: #1122310.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/rules: Drop DH_VERBOSE, leftover from first release.

 -- Santiago Vila <sanvila@debian.org>  Wed, 10 Dec 2025 11:40:00 +0100

pigx-rnaseq (0.1.1-2) unstable; urgency=medium

  * Team upload.
  * d/watch: version=5
  * Make sure snakemake does not pick wrong HOME
    Closes: #1114262
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 05 Dec 2025 14:16:48 +0100

pigx-rnaseq (0.1.1-1) unstable; urgency=medium

  * Team upload.

  [Andreas Tille]
  * Standards-Version: 4.6.2 (routine-update)
  * Build Salsa CI using python3-htseq from experimental

  [Steffen Moeller]
  * Fixed lintian warnings
    - Improved d/pigx-rnaseq.1 whatis line
    - Completed path to m4 file

  [ Michael R. Crusoe ]
  * New upstream version.
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-dt (>= 0.15+dfsg-2)
      <!nocheck>.
    + pigx-rnaseq: Drop versioned constraint on r-cran-dt (>= 0.15+dfsg-2) in
      Depends.
  * d/copyright: no longer need to exclude the m4 directory (it isn't shipped
    by upstream anymore)
  * d/upstream/metadata: fix repo URL, add issue tracker

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 13:40:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                autoconf-archive,
                fastp,
                fastqc <!nocheck>,
-               hisat2 <!nocheck>,
+               hisat2,
                libjs-jquery-datatables <!nocheck>,
                libjs-jquery-tablesorter <!nocheck>,
                megadepth,
@@ -15,20 +14,20 @@
                python3-all,
                python3-deeptools,
                python3-htseq,
-               r-bioc-deseq2 <!nocheck>,
-               r-bioc-rtracklayer <!nocheck>,
+               r-bioc-deseq2,
+               r-bioc-rtracklayer,
                r-bioc-summarizedexperiment <!nocheck>,
-               r-bioc-tximport <!nocheck>,
+               r-bioc-tximport,
                r-cran-corrplot <!nocheck>,
                r-cran-crosstalk <!nocheck>,
                r-cran-data.table <!nocheck>,
-               r-cran-dt (>= 0.15+dfsg-2) <!nocheck>,
+               r-cran-dt,
                r-cran-ggplot2 <!nocheck>,
                r-cran-ggrepel <!nocheck>,
-               r-cran-gprofiler2 <!nocheck>,
-               r-cran-ggpubr <!nocheck>,
+               r-cran-gprofiler2,
+               r-cran-ggpubr,
                r-cran-locfit <!nocheck>,
-               r-cran-pheatmap <!nocheck>,
+               r-cran-pheatmap,
                r-cran-plotly <!nocheck>,
                r-cran-reshape2 <!nocheck>,
                r-cran-rjson <!nocheck>,
@@ -36,21 +35,20 @@
                r-cran-rmarkdown <!nocheck>,
                r-cran-scales <!nocheck>,
                salmon <!nocheck>,
-               samtools <!nocheck>,
-               snakemake <!nocheck>,
+               samtools,
+               snakemake,
                trim-galore <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/pigx-rnaseq
 Vcs-Git: https://salsa.debian.org/med-team/pigx-rnaseq.git
 Homepage: https://github.com/BIMSBbioinfo/pigx_rnaseq
-Rules-Requires-Root: no
 
 Package: pigx-rnaseq
 Architecture: all
 Depends: ${misc:Depends},
          fastp,
          fastqc,
-         hisat2|rna-star,
+         hisat2 | rna-star,
          libjs-jquery-datatables,
          libjs-jquery-tablesorter,
          megadepth,
@@ -65,7 +63,7 @@
          r-cran-corrplot,
          r-cran-crosstalk,
          r-cran-data.table,
-         r-cran-dt (>= 0.15+dfsg-2),
+         r-cran-dt,
          r-cran-ggplot2,
          r-cran-ggpubr,
          r-cran-ggrepel,

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-export DH_VERBOSE = 1
 
 export SALMON=/usr/bin/salmon
 export STAR=/usr/bin/STAR
@@ -27,9 +26,6 @@
 	rm -f scripts/jquery.min.js
 	rm -f conftest.tar confdefs.h
 
-override_dh_auto_install:
-	dh_auto_install
-
 override_dh_fixperms:
 	dh_fixperms
 	find debian/pigx-rnaseq/usr/libexec/pigx_rnaseq -name "*.R" | xargs -r chmod -x
@@ -40,5 +36,5 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	ln -sf /usr/share/javascript/jquery/jquery.min.js scripts/
 	#$(MAKE) -j2 check VERBOSE=1
-	./test.sh
+	XDG_CACHE_HOME=/tmp/.cache HOME=/tmp ./test.sh
 endif

=== debian/watch ===
Version: 5

Template: Github
Owner: BIMSBbioinfo
Project: pigx_rnaseq
Repack-Suffix: +ds
Dversion-Mangle: auto
